---
title: "Get the vIPS Licenses Present on the Manager"
slug: "get-the-vips-licenses-present-on-the-manager"
tags: ["Reference", "IPS 10.1.10"]
updated: 2026-09-23T09:35:43Z
published: 2026-09-23T09:35:43Z
canonical: "docs.trellix.com/get-the-vips-licenses-present-on-the-manager"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trellix.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Get the vIPS Licenses Present on the Manager
This URL gets the vIPS licenses present on the Manager.
## Resource URL
GET /license/vmips
## Request Parameters
URL Parameters: None
Payload Request Parameters: None
## Response Parameters
Returns the following fields.
| Field Name | Description | Data Type |
| --- | --- | --- |
| compliant | Compliant state of the Manager | Boolean |
| additionalLicensesRequired | The number of additional licenses required | Number |
| virtualSensors | License usage status in virtual Sensors | String |
| virtualProbes | License usage status in virtual probes | String |
| licenses | List of individual VMIPS license details | Array of objects |
Details of fields in VMIPSLicenseDetails:
| Field Name | Description | Data Type |
| --- | --- | --- |
| Allowed | Number of vNSP Sensors allowed | Number |
| licenseCustomer | Customer of the license | String |
| key | License key | String |
| comment | Comment | String |
| addedBy | User who added the license | String |
| addedTime | Time when the license was added | String |
| licenseGrantID | License grant id | String |
| licenseExpiration | License expiration date | String |
## Example
**Request**
GET [https:///sdkapi/license/vmips](https://%3CNSM_IP%3E/sdkapi/getclusterid)
**Payload**
None
**Response**
```
{
"compliant": True,
"additionalLicensesRequired": 0,
"virtualSensors": "0 (of 10 allowed) in use",
"virtualProbes": "0 in use",
"licenses": [
{"comment": None, "licenseCustomer": "Ingram Micro Inc.", "addedBy": "admin", "key": "0007010100-NAI-000010", "allowed": 10, "addedTime": "Oct 23 05:11:25 2019", "licenseGrantID": "0007010100-NAI", "licenseExpiration": "12-31-2043"}
]
}
```
## Error Information
Following error code is returned by this URL:
| No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
| --- | --- | --- | --- |
| 1 | 500 | 1001 | Internal error |